apiVersion: apps/v1
kind: Deployment
metadata:
  name: web-api
  labels:
    app.kubernetes.io/name: "web-api"
    app.kubernetes.io/instance: "web-api-instance"
    app.kubernetes.io/managed-by: "SupportEPaaSTeam"
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: "web-api"
      app.kubernetes.io/instance: "web-api-instance"
  template:
    metadata:
      labels:
        app.kubernetes.io/name: "web-api"
        app.kubernetes.io/instance: "web-api-instance"
    spec:
      containers:
      - name: web-api
        image: registry.gitlab.com/ryzhkov.vlad/kuber-corporate-ci-cd/web-api:master
        imagePullPolicy: IfNotPresent
        resources:
          limits:
            cpu: 500m
            memory: 500Mi
          requests:
            cpu: 100m
            memory: 200Mi
        ports:
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
        livenessProbe:
          httpGet:
            path: '/'
            port: http
        readinessProbe:
          httpGet:
            path: '/'
            port: http
        env:
          - name: REDIS_HOST
            value: redis
          - name: REDIS_PORT
            value: "6379"
